/**
 * <copyright>
 * </copyright>
 *
 * $Id: StepExecutionValidator.java,v 1.1 2008-04-01 09:35:22 vmahe Exp $
 */
package orgomg.cwm.management.warehouseoperation.validation;

import orgomg.cwm.analysis.transformation.TransformationStep;

import orgomg.cwm.management.warehouseoperation.ActivityExecution;

import orgomg.cwm.objectmodel.behavioral.CallAction;

/**
 * A sample validator interface for {@link orgomg.cwm.management.warehouseoperation.StepExecution}.
 * This doesn't really do anything, and it's not a real EMF artifact.
 * It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended.
 * This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.
 */
public interface StepExecutionValidator {
	boolean validate();

	boolean validateTransformationStep(TransformationStep value);
	boolean validateActivityExecution(ActivityExecution value);
	boolean validateCallAction(CallAction value);
}
